//
//  BeatBoxViewController.h
//  BeatBox
//
//  Created by James Gamble on 02/08/2010.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface BeatBoxViewController : UIViewController {
	UIImage* img_DotsFull;
	UIImage* img_Dots[5];
	
	UIImage* img_Blank;
	
	UIImage* img_Grid;
	UIImageView* view_Grid;
	
	CGContextRef LockedBuffer;
	int BufferHeight;

	NSTimer *GameTimer;
}

@property (nonatomic, retain) UIImage* img_DotsFull;
@property (nonatomic, retain) UIImage* img_Dots;

@property (nonatomic, retain) UIImage* img_Blank;

@property (nonatomic, retain) UIImage* img_Grid;
@property (nonatomic, retain) UIImageView* view_Grid;

- (void)perFrame;

void LockBuffer(UIImage* ImageLock);
void DrawToBuffer(UIImage* ImageDraw,int x,int y);
UIImage* UnlockBuffer();

@end

